Bug 844516 - Too many report options
Too many report options
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Reporting/Charting (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 21:26 EDT by Simon Green
Modified: 2014-10-12 18:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.2.4-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 22:54:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Green 2012-07-30 21:26:24 EDT
Description of problem:
There are too many unused statuses and resolution values in the 'Chart dataset' drop down in the old reports page.

Version-Release number of selected component (if applicable):
4.2.2-4

How reproducible:
always.

Steps to Reproduce:
1. Upgrade to Bugzilla 4.2.2-4 (for bug 821671)
2. Visit https://bugzilla.redhat.com/reports.cgi
3. Look at all the values in the 'Charts dataset' drop down.
  
Actual results:
Lots of values that were used once upon a time ago

Expected results:
Should show the currently active bug statuses and resolutions only by default.

Additional info:
This will also make the page load a *lot* quicker too.
Comment 7 Simon Green 2012-10-30 20:55:36 EDT
Eek. I am adding an index on that table which should solve the problem. If it does, I'll create a new patch that does this in production.

  -- simon
Comment 9 Simon Green 2012-11-01 21:43:07 EDT
For HSS NAY QE:

Once you have updated the new packages, and completed the post release instructions, you will need to run

./collectstats.pl --regenerate

this will take some time (up to 24 hours) to run.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.